Hirevoice Docs
Openapi

Update position for integrations

PATCH
/integration/v1/positions/{position_id}

Authorization

APIKeyHeader
X-API-Key<token>

In: header

Path Parameters

position_id*string
Formatuuid

Request Body

application/json

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://api.main.hirevoice.ai/api/integration/v1/positions/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "name": "string",
  "job_description": "string",
  "company_position_uuid": "string",
  "evaluation_criteria": [
    {
      "category": "hard-skill",
      "title": "string",
      "definition": "string",
      "levels": [
        {
          "level": 0,
          "description": "string"
        }
      ],
      "question_examples": [
        "string"
      ]
    }
  ],
  "extract_data": [
    {
      "key": "string",
      "description": ""
    }
  ],
  "must_have_questions": [
    "string"
  ],
  "applied_extract_data": {
    "tools_or_tags": [
      "string"
    ],
    "must_have_questions_added": [
      "string"
    ],
    "challenge_level": 0,
    "depth_level": 0,
    "max_questions": 0,
    "language": "en",
    "persona_applied": false,
    "first_message_applied": false
  },
  "interview_prompt_persona_role": "string",
  "interview_prompt_first_message": "string",
  "interview_type": "blue-collar",
  "status_detail": {},
  "status": "idle",
  "white_label": {
    "company_name": "string",
    "brand_assets": {
      "colors": {
        "foreground": {
          "type": "hex",
          "value": "string"
        },
        "background": {
          "type": "hex",
          "value": "string"
        }
      },
      "logo_url": "string"
    }
  }
}
{
  "detail": "string",
  "code": "string"
}
Empty
{
  "detail": "string",
  "code": "string"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}
{
  "detail": "string",
  "code": "string"
}
{
  "detail": "string",
  "code": "string"
}